Milter.cache.AddrCache Class Reference
Inheritance diagram for Milter.cache.AddrCache:

## Public Member Functions

def | __init__ (self, renew=7, fname=None)
def | load (self, fname, age=0)
def | has_precise_key (self, sender)
def | has_key (self, sender)
def | __getitem__ (self, sender)
def | addperm (self, sender, res=None)
def | __setitem__ (self, sender, res)
def | __len__ (self)

## Public Attributes

| age
| cache
| fname

## Static Public Attributes

string | time_format = '%Y%b%d %H:%M:%S %Z'

## Static Private Attributes

def | __contains__ = has_key

## Member Function Documentation

## has_precise_key()

def Milter.cache.AddrCache.has_precise_key | ( |  | self,
|  |  | sender
| ) |  |

    True if precise sender is cached and has not expired.  Don't
    try looking up wildcard entries.

References Milter.policy.DB.__getitem__(), Milter.cache.AddrCache.__getitem__(), Milter.cache.AddrCache.age, Milter.cache.AddrCache.cache, Milter.dns.Session.cache, Milter.cache.AddrCache.fname, Milter.cache.AddrCache.has_key(), and Milter.cache.AddrCache.has_precise_key().

Referenced by Milter.cache.AddrCache.has_precise_key().

The documentation for this class was generated from the following file:

- Milter/cache.py